unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Psock, NMFtp, ExtCtrls, Menus, ComCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    NMFTP1: TNMFTP;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Edit4: TEdit;
    Label4: TLabel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    ComboBox1: TComboBox;
    ListBox1: TListBox;
    Panel1: TPanel;
    Edit5: TEdit;
    Button6: TButton;
    Label5: TLabel;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    InsertServer1: TMenuItem;
    Panel2: TPanel;
    Edit1: TEdit;
    Button7: TButton;
    Label6: TLabel;
    Help1: TMenuItem;
    About1: TMenuItem;
    DeleteServer1: TMenuItem;
    Panel3: TPanel;
    ListBox3: TListBox;
    Button8: TButton;
    Button9: TButton;
    Label7: TLabel;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    Panel4: TPanel;
    Label8: TLabel;
    LocalDirLabel: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure NMFTP1ListItem(Listing: String);
    procedure NMFTP1Connect(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure InsertServer1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure DeleteServer1Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  switch:integer;
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
if switch=0 then
begin
  listbox1.Items.Clear;
  NMFTP1.Host:=combobox1.text;
  NMFTP1.UserID:=edit2.text;
  NMFTP1.Password:=edit3.text;
  NMFTP1.Port:=strtoint(edit4.text);
  NMFTP1.Connect;
  label8.caption:=('Connected');
  button1.caption:='disconnect';
  switch:=1;
end
else
  begin
  button1.caption:='connect';
  NMFTP1.Disconnect;
  listbox1.Clear;
  label8.caption:=('Disconnected');
  switch:=0;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
switch:=0;
combobox1.items.LoadFromFile('servers.ini');
label8.caption:=('Disconnected');
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
NMFTP1.MakeDirectory(edit5.text);
listbox1.items.clear;
try NMFTP1.Nlist;   except end;
edit5.Text:='';
panel1.hide;
end;

procedure TForm1.NMFTP1ListItem(Listing: String);
begin
 listbox1.items.Add(Listing);
end;

procedure TForm1.NMFTP1Connect(Sender: TObject);
begin
  try NMFTP1.Nlist;   except end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
panel1.show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
NMFTP1.RemoveDir(listbox1.Items.Strings[listbox1.ItemIndex]);
listbox1.Clear;
try NMFTP1.Nlist;   except end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
combobox1.Items.SaveToFile('servers.ini');
close;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
combobox1.Items.Add(edit1.Text);
combobox1.Items.savetofile('servers.ini');
panel2.hide;
edit1.Clear;
end;

procedure TForm1.InsertServer1Click(Sender: TObject);
begin
panel2.show;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
combobox1.Items.SaveToFile('servers.ini');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
combobox1.Items.SaveToFile('servers.ini');
end;

procedure TForm1.About1Click(Sender: TObject);
begin
AboutBox.show;
end;

procedure TForm1.ListBox1DblClick(Sender: TObject);
begin
NMFTP1.ChangeDir(listbox1.Items.Strings[listbox1.ItemIndex]);
listbox1.Clear;
listbox1.items.add('..');
try NMFTP1.Nlist;   except end;
end;

procedure TForm1.DeleteServer1Click(Sender: TObject);
begin
panel3.show;
listbox3.Items.loadfromfile('servers.ini');
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
listbox3.Items.Delete(listbox3.ItemIndex);
listbox3.Items.savetofile('servers.ini');
listbox3.clear;
listbox3.Items.loadfromfile('servers.ini');
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
listbox3.Items.SaveToFile('servers.ini');
combobox1.Clear;
combobox1.items.loadfromfile('servers.ini');
panel3.Hide;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
NMFTP1.Delete(listbox1.Items.Strings[listbox1.ItemIndex]);
listbox1.Clear;
listbox1.items.add('..');
try NMFTP1.Nlist;   except end;

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
NMFTP1.Upload((FileListBox1.Items.Strings[FileListBox1.ItemIndex]),(FileListBox1.Items.Strings[FileListBox1.ItemIndex]));
listbox1.Clear;
listbox1.Items.Add('..');
try NMFTP1.Nlist;   except end;

end;

end.
